net.snowflake.client.core

## Enum SFBaseStatement.CallingMethod

- java.lang.Object
- - java.lang.Enum<SFBaseStatement.CallingMethod>
  - - net.snowflake.client.core.SFBaseStatement.CallingMethod

All Implemented Interfaces:
  Serializable, Comparable<SFBaseStatement.CallingMethod>

Enclosing class:
  SFBaseStatement

    public static enum SFBaseStatement.CallingMethod
    extends Enum<SFBaseStatement.CallingMethod>

The type of query that is being executed. Used internally by SnowflakeStatementV(x).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXECUTE`
`EXECUTE_QUERY`
`EXECUTE_UPDATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static SFBaseStatement.CallingMethod` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SFBaseStatement.CallingMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXECUTE

    public static final SFBaseStatement.CallingMethod EXECUTE

#### EXECUTE_UPDATE

    public static final SFBaseStatement.CallingMethod EXECUTE_UPDATE

#### EXECUTE_QUERY

    public static final SFBaseStatement.CallingMethod EXECUTE_QUERY

### Method Detail

#### values

    public static SFBaseStatement.CallingMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SFBaseStatement.CallingMethod c : SFBaseStatement.CallingMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SFBaseStatement.CallingMethod valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null